# IML Checks for Icinga / Nagios

## Introduction

IML - we are the Institute for Medical Education at university in Bern, Switzerland.

This is a collection of our checks. They are used on Linux systems (Debian, CentOS, Ubuntu) and written in Bash using some shared functions.

We use Icinga graphite module to show performance data. The templates are located in a sister repository.

## License

* Licence: GNU GPL 3.0
* Source: 
  * Checks: https://git-repo.iml.unibe.ch/iml-open-source/icinga-checks
  * Graphs (Graphite): https://git-repo.iml.unibe.ch/iml-open-source/icinga-graphite-templates

## Scripts

[inc_pluginfunctions](inc_pluginfunctions.md)

## Checks

check_apache_requests
check_backup_one
check_ceph_diskfree
check_ceph_osd
check_ceph_status
check_clientbackup
check_couchdb-lb
check_cpu
check_cronstatus
check_disk-io
check_dns_responsetime
[check_eol)[check_eol.md]
check_haproxy_health
check_haproxy_status
check_memory
check_netio
check_netstat
check_opencpu
check_packages2install
check_proc_mem
check_proc_ressources
check_proc_zombie
check_reboot_required
check_sensuplugins
check_smartstatus
check_snmp_syno.sh
check_snmp_synology
check_ssl
check_systemdservices
check_timesync
check_uptime
inc_pluginfunctions
inc_pluginfunctions.md
paramtest